Subject: Re: crontab: can't obtain passwd entry
From: Louis Bohm <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Date: Tue, 22 May 2001 11:21:00 -0400

This is what I get when I do id:
uid=500(root) gid=513(None)
groups=0(Everyone),513(None),544(Administrators),545(Users)

I am not in a domain just a standalone win2k pro machine.

Here is a copy of my passwd file too:

Everyone:*:0:0:,S-1-1-0::
SYSTEM:*:18:18:,S-1-5-18::
Administrators:*:544:544:,S-1-5-32-544::
ftpuser:*:1002:513:ftp,S-1-5-21-117609710-1993962763-842925246-1002:/home/ftpuser:/bin/sh

Guest:*:501:513:,S-1-5-21-117609710-1993962763-842925246-501:/home/Guest:/bin/sh
IUSR_YODA:*:1000:513:Internet Guest
Account,S-1-5-21-117609710-1993962763-842925246-1000:/home/IUSR_YODA:/bin/sh
IWAM_YODA:*:1001:513:Launch IIS Process
Account,S-1-5-21-117609710-1993962763-842925246-1001:/home/IWAM_YODA:/bin/sh
root:*:500:513:lbohm-U,lbohm,S-1-5-21-117609710-1993962763-842925246-500:/home/root:/bin/sh

The user lbohm is a copy of the NT Administrators account will all the
permissions.

Louis

Corinna Vinschen wrote:

> On Tue, May 22, 2001 at 08:23:04AM -0400, Louis Bohm wrote:
> > I did do a mkpasswd -l > /etc/passwd and a mkgroup -l > /etc/group.  After I
> > did that I tried the crontab -e and sill had the problem.
> >
> > Then I tried to do something smart, or so I though, and run gdb crontab.
> > Unfortunately gdb has problems with crontab.
>
> The offending code in crontab is:
>
>   struct passwd *pw = getpwuid (geteuid ());
>   if (! pw)
>     return eprint ("can't obtain passwd entry.");
>
> so your current uid is not in /etc/passwd.
>
> if you call `id' you should get an output like that:
>
>   uid=1003(louis) gid=513(None) ...
>
> if that is not what you get, your passwd is still incorrect.
> Are you a perhaps a domain user? In that case `mkpasswd -l'
> will not help. Use `mkpasswd -d' to get domain users.
>
> Corinna
>
> --
> Corinna Vinschen                  Please, send mails regarding Cygwin to
> Cygwin Developer                                mailto:[email-masked]
> Red Hat, Inc.
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

--
¤¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤
¤°`°Lightbridge, Inc
¤°`°67 South Bedford St.
¤°`°Burlington MA 01832
¤°`°781.359.4795 mailto:[email-masked]
¤°`°http://www.lightbridge.com
¤¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple